<?php
/**
 * @category   Newsroom
 * @package    Newsroom_Whitepaper
 * @author     dushyantjoshia@gmail.com
 * @copyright  This file was generated by using Module Creator(http://code.vky.co.in/magento-2-module-creator/) provided by VKY <viky.031290@gmail.com>
 * @license    http://opensource.org/licenses/osl-3.0.php  Open Software License (OSL 3.0)
 */

namespace Newsroom\Whitepaper\Model\ResourceModel;

class Whitepaper extends \Magento\Framework\Model\ResourceModel\Db\AbstractDb
{
    /**
     * Define main table
     */
    protected function _construct()
    {
        $this->_init('newsroom_whitepaper', 'whitepaper_id');   //here "newsroom_whitepaper" is table name and "whitepaper_id" is the primary key of custom table
    }
}